Legacy (SimpleBooks v1)
Endpoints of the original SimpleBooks, kept for reference.
| Method | Path | Summary |
|---|---|---|
| GET | /app/simplebooks/version | Version (legacy) |
| GET | /app/simplebooks/companies | List companies (legacy) |
| GET | /app/simplebooks/companies/has-membership | Does the person have a company? (legacy) |
| POST | /app/simplebooks/companies/create | Create a company (legacy) |
| POST | /app/simplebooks/company/receipts | Receipts for a month (legacy) |
| POST | /app/simplebooks/company/receipts/total/year | Year total (legacy) |
| POST | /app/simplebooks/company/receipts/total/month | Month total (legacy) |
#Version (legacy)
GET
/app/simplebooks/version- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/version- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
versions | array of object | |
versions[].latest_version | string, or null |
Example response
JSON
{
"versions": [
{
"latest_version": "string"
}
]
}Errors
| Status | Message |
|---|---|
| 404 | Data not found |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/version' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/version', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/version",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/version' -Headers $headers#List companies (legacy)
GET
/app/simplebooks/companies- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
companies | array of any |
Example response
JSON
{
"companies": []
}Errors
| Status | Message |
|---|---|
| 404 | No companies found for this user |
Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/companies', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/companies",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies' -Headers $headers#Does the person have a company? (legacy)
GET
/app/simplebooks/companies/has-membership- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Response 200
| Field | Type | Description |
|---|---|---|
isMember | any |
Example response
JSON
{
"isMember": null
}Example request
Bash
curl -X GET 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership' \
-H "X-API-Key: $BRAMBLE_KEY"JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership', {
method: 'GET',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY },
});
const data = await res.json();Python
import os, requests
r = requests.get(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
Invoke-RestMethod -Method GET -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/has-membership' -Headers $headers#Create a company (legacy)
POST
/app/simplebooks/companies/create- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
formObject | any |
Response 200
| Field | Type | Description |
|---|---|---|
message | string | |
company_id | integer |
Example response
JSON
{
"message": "Saved",
"company_id": 7
}Errors
| Status | Message |
|---|---|
| 404 | User not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"formObject":"…"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"formObject":"…"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"formObject":"…"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"formObject":"…"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/companies/create' -Headers $headers -ContentType 'application/json' -Body $body#Receipts for a month (legacy)
POST
/app/simplebooks/company/receipts- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
company_idrequired | integer | |
fiscal_yearrequired | any | |
fiscal_monthrequired | any |
Response 200
| Field | Type | Description |
|---|---|---|
result | array of object | |
result[].title | any | |
result[].amount | any | |
result[].receipt_date | string (date), or null | |
result[].category | any | |
result[].fiscal_year | any | |
result[].fiscal_month | any | |
result[].created_at | string (date-time) |
Example response
JSON
{
"result": [
{
"title": null,
"amount": null,
"receipt_date": "2026-11-12",
"category": null,
"fiscal_year": null,
"fiscal_month": null,
"created_at": "2026-11-12T09:30:00.000Z"
}
]
}Errors
| Status | Message |
|---|---|
| 400 | Missing required parameters |
| 404 | User not found |
| 404 | No receipts found for this period |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"company_id":7,"fiscal_year":"…","fiscal_month":"…"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"company_id":7,"fiscal_year":"…","fiscal_month":"…"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts' -Headers $headers -ContentType 'application/json' -Body $body#Year total (legacy)
POST
/app/simplebooks/company/receipts/total/year- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
company_idrequired | integer | |
fiscal_yearrequired | any |
Response 200
| Field | Type | Description |
|---|---|---|
total | integer |
Example response
JSON
{
"total": 3
}Errors
| Status | Message |
|---|---|
| 400 | Missing required parameters |
| 404 | User not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"company_id":7,"fiscal_year":"…"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"company_id":7,"fiscal_year":"…"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"company_id":7,"fiscal_year":"…"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"company_id":7,"fiscal_year":"…"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/year' -Headers $headers -ContentType 'application/json' -Body $body#Month total (legacy)
POST
/app/simplebooks/company/receipts/total/month- Address
https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month- Requires
- Signed-in session,
X-API-Key, or a Bramble app access token (Authorization: Bearer).
Request body JSON
| Name | Type | Description |
|---|---|---|
company_idrequired | integer | |
fiscal_yearrequired | any | |
fiscal_monthrequired | any |
Response 200
| Field | Type | Description |
|---|---|---|
total | integer |
Example response
JSON
{
"total": 3
}Errors
| Status | Message |
|---|---|
| 400 | Missing required parameters |
| 404 | User not found |
Example request
Bash
curl -X POST 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month' \
-H "X-API-Key: $BRAMBLE_KEY" \
-H "Content-Type: application/json" \
-d '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'JavaScript
const res = await fetch('https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month', {
method: 'POST',
headers: { 'X-API-Key': process.env.BRAMBLE_KEY, 'Content-Type': 'application/json' },
body: JSON.stringify({"company_id":7,"fiscal_year":"…","fiscal_month":"…"}),
});
const data = await res.json();Python
import os, requests
r = requests.post(
"https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month",
headers={"X-API-Key": os.environ["BRAMBLE_KEY"]},
json={"company_id":7,"fiscal_year":"…","fiscal_month":"…"},
)
r.raise_for_status()
data = r.json()PowerShell
$headers = @{ 'X-API-Key' = $env:BRAMBLE_KEY }
$body = '{"company_id":7,"fiscal_year":"…","fiscal_month":"…"}'
Invoke-RestMethod -Method POST -Uri 'https://<your-org>.brambleit.cloud/api/app/simplebooks/company/receipts/total/month' -Headers $headers -ContentType 'application/json' -Body $bodyWas this page helpful?
Thanks for your feedback.